[uClibc]Can't compile with uclibc-0.9.15 by using gcc-3.2

Erik Andersen andersen at codepoet.org
Thu Oct 17 05:57:58 UTC 2002


On Thu Oct 17, 2002 at 01:53:11PM +0800, cwang wrote:
> Hi.
> 
> I can't compile the following programs in redhat-8.0.  gcc-3.2 is installed
> only
> and uClibc-0.9.15 is installed by myself.
> 
> #include <pthread.h>
> 
> int main(void) {
>     return 0;
> }
> 
> the following error generated:
> In file included from pthread.c:1:
> /usr/i386-linux-uclibc/include/pthread.h:163: parse error before "__thread"
> /usr/i386-linux-uclibc/include/pthread.h:165: 'pthread_create' declared as
> function returnning a  function

This problem is fixed in CVS

 -Erik

--
Erik B. Andersen             http://codepoet-consulting.com/
--This message was written using 73% post-consumer electrons--



More information about the uClibc mailing list